Subject: high blood pressure

From: sharon <[email-masked]>
Date: 27 Jan 1996 03:38:26 GMT

I have high blood pressure.  I have had it since the age of 29.  
My family has a history of it.  I have tried many of the 
medications used to treat high blood pressure.  I have had a 
reaction to every medication.  I would like to try an herbs to 
lower it.  I am currently taking, cayenne, garlic, and dandelion.

I have tried black cohosh, but it gives me a severe headache.  
Is there something else that I can do?

Sharon